package require tkpath

set t .c_gradients
toplevel $t
set w $t.c
pack [canvas $w -bg white -width 480 -height 300]

set g1 [::tkpath::lineargradient create -stops {{0 lightblue} {1 blue}}]
$w create path "M 10 10 h 200 v 50 h -200 z" -fillgradient $g1
$w create text 220 20 -anchor w -text "-stops {{0 lightblue} {1 blue}}"

set g2 [::tkpath::lineargradient create -stops {{0 #f60} {1 #ff6}}]
$w create path "M 10 70 h 200 v 50 h -200 z" -fillgradient $g2
$w create text 220 80 -anchor w -text "-stops {{0 #f60} {1 #ff6}}"

set g5 [::tkpath::lineargradient create -stops {{0 lightgreen} {1 green}}]
$w create path "M 10 130 h 200 v 50 h -200 z" -fillgradient $g5

set g3 [::tkpath::lineargradient create -stops {{0 #f60} {1 #ff6}} -transition {0 0 0 1}]
$w create path "M 40 200 q 60 -200 120 0 z" -fillgradient $g3

set g4 [::tkpath::lineargradient create -stops {{0 white} {0.5 black} {1 white}}]
$w create path "M 10 220 h 200 v 50 h -200 z" -fillgradient $g4
$w create text 220 240 -anchor w -text "-stops {{0 white} {0.5 black} {1 white}}"


